<?php

namespace App\Models;

/**
 * Статусы продажи товаров
 * Class SaleStatus
 * @package App\Models
 */
class SaleStatus
{
    /** @var int - в продаже */
    const STATUS_ON_SALE = 1;
    /** @var int - снято с продажи */
    const STATUS_OUT_SALE = 2;

    /**
     * @return array
     */
    public static function validValues(): array
    {
        return [
            self::STATUS_ON_SALE,
            self::STATUS_OUT_SALE,
        ];
    }

    public static function onSale(int $status)
    {
        return $status == self::STATUS_ON_SALE;
    }
}
