<?php


namespace App\Console\Commands;

use App\Domain\Categories\Models\Category;
use Illuminate\Console\Command;

class CategoryTreeRecalc extends Command
{
    /** @var string */
    protected $signature = 'category_tree:recalc';

    /** @var string */
    protected $description = 'Пересчет дерева категорий';

    /**
     * @return int
     */
    public function handle()
    {
        ini_set('memory_limit', '10G');

        Category::query()->fixTree();
    }
}
