<?php

namespace App\Core\Elastic\Product\Indexing\Stages;

use App\Core\Elastic\Product\Indexing\PipelineStageInterface;
use App\Core\Elastic\Product\Indexing\ProcessesTicket;
use App\Core\Elastic\Product\Indexing\ProductTicket;
use App\Domain\Products\Models\ProductImage;
use Ensi\LaravelEnsiFilesystem\Models\EnsiFile;
use Illuminate\Support\Collection;

class ImagesStage implements PipelineStageInterface
{
    use ProcessesTicket;

    /**
     * @inheritDoc
     */
    public function execute(Collection $tickets): void
    {
        $this->forEachTicket($tickets, $this);
    }

    public function __invoke(ProductTicket $ticket): void
    {
//        $target = $ticket->target;
//
//        $images = $ticket->source->images
//            ->filter(fn (ProductImage $image) => $image->file)
//            ->mapToGroups(fn (ProductImage $image) => [$image->type->value => EnsiFile::public($image->file)->getUrl()]);
//
//        if ($images->has(ProductImageType::MAIN)) {
//            $target->catalogImage = $images->get(ProductImageType::MAIN)->first();
//        } else {
//            $target->addStrike('Нет изображения для каталога');
//        }
//
//        $target->media = $images->get(ProductImageType::GALLERY)?->all() ?? [];
//
//        $target->description(
//            $ticket->source->description,
//            $images->get(ProductImageType::DESCRIPTION)?->first(),
//            null
//        );
    }
}
